> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Legal Hold Policy

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

To get the information for a specific Legal Hold policy that has been created in
an enterprise, call the <Link href="/reference/get-legal-hold-policies-id">`GET /legal_hold_policies/:id`</Link> API
endpoint with the `id` of the policy.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/legal_hold_policies/324432" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.legalHoldPolicies.getLegalHoldPolicyById(legalHoldPolicyId);
  ```

  ```python Python v10 theme={null}
  client.legal_hold_policies.get_legal_hold_policy_by_id(legal_hold_policy_id)
  ```

  ```cs .NET v10 theme={null}
  await client.LegalHoldPolicies.GetLegalHoldPolicyByIdAsync(legalHoldPolicyId: legalHoldPolicyId);
  ```

  ```swift Swift v10 theme={null}
  try await client.legalHoldPolicies.getLegalHoldPolicyById(legalHoldPolicyId: legalHoldPolicyId)
  ```

  ```java Java v10 theme={null}
  client.getLegalHoldPolicies().getLegalHoldPolicyById(legalHoldPolicyId)
  ```

  ```java Java v5 theme={null}
  BoxLegalHoldPolicy policy = new BoxLegalHoldPolicy(api, id);
  BoxLegalHoldPolicy.Info policyInfo = policy.getInfo();
  ```

  ```python Python v4 theme={null}
  legal_hold_policy = client.legal_hold_policy(policy_id='12345').get()
  print(f'The "{legal_hold_policy.policy_name}" policy is {legal_hold_policy.status}')
  ```

  ```cs .NET v6 theme={null}
  BoxLegalHoldPolicy policy = await client.LegalHoldPoliciesManager.GetLegalHoldPolicyAsync("11111");
  ```

  ```javascript Node v4 theme={null}
  client.legalHoldPolicies.get('11111')
  	.then(policy => {
  		/* policy -> {
  			type: 'legal_hold_policy',
  			id: '11111',
  			policy_name: 'IRS Audit',
  			description: '',
  			status: 'active',
  			assignment_counts: { user: 1, folder: 0, file: 0, file_version: 0 },
  			created_by: 
  			{ type: 'user',
  				id: '22222',
  				name: 'Example User',
  				login: 'user@example.com' },
  			created_at: '2016-05-18T10:28:45-07:00',
  			modified_at: '2016-05-18T11:25:59-07:00',
  			deleted_at: null,
  			filter_started_at: '2016-05-17T01:00:00-07:00',
  			filter_ended_at: '2016-05-21T01:00:00-07:00' }
  		*/
  	});
  ```
</CodeGroup>

## Required Scopes

Before using any of the Legal Hold APIs, an application must have the right
scopes enabled. See <Link href="/guides/legal-holds#required-scopes">Required Scopes</Link> for more details.

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Get legal hold policy"), href: "/reference/get-legal-hold-policies-id", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("List All Legal Hold Policies"), href: "/guides/legal-holds/list", badge: "GUIDE" }
]}
/>
